package com.webhomecover.beans;

import java.text.NumberFormat;
import java.sql.Date;
import java.util.Collection;
import java.util.ArrayList;

public class PolicyBean implements java.io.Serializable
{
 private String policyNumber;
 private Date startDate;
 private Double annualPremium;
 private boolean paidUp;
 private Collection<String> errors = new ArrayList<String>();

 public PolicyBean()
 {
  super();
 }

 public void setPolicyNumber(String policynumber)
 {
  policyNumber = policynumber;
 }
 
 public void setStartDate(Date startDate)
 {
  this.startDate = startDate;
 }
 
 public void setAnnualPremium(Double premium)
 {
  annualPremium = premium;
 }

 public void setPaidUp(boolean paidUp)
 {
  this.paidUp = paidUp;
 }

 public String getPolicyNumber()
 {
  return policyNumber;
 }
 
 public Date getStartDate()
 {
  return startDate;
 }
 
 public Double getAnnualPremium()
 {
  return annualPremium;
 }

 public boolean getPaidUp()
 {
  return paidUp;
 }

 public void validate()
 {
  errors.clear();
  if(policyNumber == null || policyNumber.equals(""))
  {
	errors.add("error in policyNumber");
  }
  if(annualPremium.doubleValue() == 0.0)
  {
 	errors.add("error in annualPremium");
  }
  if(startDate==null)
  {
	errors.add("error in startDate");
  }
 }
}